<?php
if ( ! isset( $content_width ) )
$content_width = 670;

add_action( 'after_setup_theme', 'trendy_setup' );

function trendy_setup() {

add_editor_style();
add_theme_support('automatic-feed-links');
add_theme_support('post-thumbnails');

set_post_thumbnail_size( 120, 120, true ); // Default size

// Make theme available for translation
// Translations can be filed in the /languages/ directory
load_theme_textdomain('trendy', get_template_directory() . '/languages');	
	
register_nav_menus(
	array(
	  'primary' => __('Header Menu', 'trendy'),
	  'secondary' => __('Footer Menu', 'trendy')
	)
);
	
}


function trendy_widgets() {

register_sidebar(array(
	'name' => __( 'Sidebar Widget Area', 'trendy'),
	'id' => 'sidebar-widget-area',
	'description' => __( 'The sidebar widget area', 'trendy'),
	'before_widget' => '<div class="widget">',
	'after_widget' => '</div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>',
));	
	
}

add_action ( 'widgets_init', 'trendy_widgets' );

function trendy_page_menu() {
if (is_page()) { $highlight = "page_item"; } else {$highlight = "menu-item current-menu-item"; }
echo '<ul class="menu">';
wp_list_pages('sort_column=menu_order&title_li=&link_before=&link_after=&depth=3');
echo '</ul>';
}

//Where the post has no post title, but must still display a link to the single-page post view.
add_filter('the_title', 'trendy_title');

function trendy_title($title) {
    if ($title == '') {
        return 'Untitled';
    } else {
        return $title;
    }
}

function trendy_filter_wp_title( $title ) {
	global $page, $paged;
    // Get the Site Name
    $site_name = get_bloginfo( 'name' );
    // Prepend name
    $filtered_title = $title .' | '. $site_name;
    
    // Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) ){
		$filtered_title = $site_name .' | '.$site_description;       
    }
    
    // Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 ) $filtered_title .= ' | ' . sprintf( __( 'Page %s', 'trendy'), max( $paged, $page ) );
    // Return the modified title
    return $filtered_title;
}
// Hook into 'wp_title'
add_filter( 'wp_title', 'trendy_filter_wp_title' );
?>